DataBindingSource (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.grails.databinding
[Java] Interface DataBindingSource

    public interface DataBindingSource

A DataBindingSource is a lot like a Map but is read-only and is tailored to support data binding.

Since:
  2.3

Method Summary
`boolean` | `containsProperty(java.lang.String propertyName)` @param propertyName the name of a property
`java.lang.Object` | `getAt(java.lang.String propertyName)` Convencience operator overloading
`java.lang.Object` | `getIdentifierValue()` @return the identifier value for binding or null if no identifier is represented by this binding source
`java.util.Set` | `getPropertyNames()` @return the names of properties represented
`java.lang.Object` | `getPropertyValue(java.lang.String propertyName)` @param propertyName the name of a property
`boolean` | `hasIdentifier()` @return true if this binding source contains an identifier for binding
`boolean` | `isDataSourceAware()` @return true if GORM operations should be enabled when binding with this DataBindingSource
`void` | `setDataSourceAware(boolean isDataSourceAware)` @param isDataSourceAware true if GORM operations should be enabled when binding with this DataBindingSource
`int` | `size()` @return the number of properties represented by this binding source

Method Detail

### containsProperty

    public boolean containsProperty(java.lang.String propertyName)

  Parameters:
    `propertyName` - the name of a property
  Returns:
    true if propertyName is represented in the is binding source, otherwise false

### getAt

    public java.lang.Object getAt(java.lang.String propertyName)

  Convencience operator overloading
  Parameters:
    `propertyName` - the name of a property
  Returns:
    the value associated with propertyName, or null if propertyName is not represented

### getIdentifierValue

    public java.lang.Object getIdentifierValue()

  Returns:
    the identifier value for binding or null if no identifier is represented by this binding source

### getPropertyNames

    public java.util.Set getPropertyNames()

  Returns:
    the names of properties represented

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String propertyName)

  Parameters:
    `propertyName` - the name of a property
  Returns:
    the value associated with propertyName, or null if propertyName is not represented

### hasIdentifier

    public boolean hasIdentifier()

  Returns:
    true if this binding source contains an identifier for binding

### isDataSourceAware

    public boolean isDataSourceAware()

  Returns:
    true if GORM operations should be enabled when binding with this DataBindingSource

### setDataSourceAware

    public void setDataSourceAware(boolean isDataSourceAware)

  Parameters:
    `isDataSourceAware` - true if GORM operations should be enabled when binding with this DataBindingSource

### size

    public int size()

  Returns:
    the number of properties represented by this binding source

Groovy Documentation